Add reaction
curl --request POST \
--url https://inboxapp.com/api/v2/messages/{messageId}/reactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"emoji": "👍"
}'import requests
url = "https://inboxapp.com/api/v2/messages/{messageId}/reactions"
payload = { "emoji": "👍" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({emoji: '👍'})
};
fetch('https://inboxapp.com/api/v2/messages/{messageId}/reactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reactions": [
{
"emoji": "<string>",
"author": {
"type": "accountLink",
"accountLinkId": "<string>",
"accountLink": {
"id": "<string>",
"platform": "twitter",
"platformId": "<string>",
"username": "jane",
"displayName": "<string>",
"avatarUrl": "<string>",
"status": "active",
"pauseReasons": [
"billing"
],
"capabilities": [
"message:send"
],
"syncedAt": "2026-09-14T10:32:00.000Z",
"createdAt": "2026-09-14T10:32:00.000Z"
}
},
"createdAt": "2026-09-14T10:32:00.000Z"
}
],
"version": 123
}{
"code": "invalidRequest",
"message": "<string>",
"details": {
"issues": [
{
"path": [
"<string>"
],
"message": "<string>"
}
]
},
"requestId": "<string>"
}{
"code": "unauthorized",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "platformNotAvailable",
"message": "<string>",
"details": {
"platform": "twitter"
},
"requestId": "<string>"
}{
"code": "messageNotFound",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "accountLinkDisconnected",
"message": "<string>",
"details": {
"accountLinkId": "<string>",
"status": "active"
},
"requestId": "<string>"
}{
"code": "threadRestricted",
"message": "<string>",
"details": {
"capability": "message:send"
},
"requestId": "<string>"
}{
"code": "platformRateLimited",
"message": "<string>",
"details": {
"retryAfterSeconds": 123
},
"requestId": "<string>"
}{
"code": "internal",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "platformError",
"message": "<string>",
"details": null,
"requestId": "<string>"
}{
"code": "platformUnavailable",
"message": "<string>",
"details": {
"retryAfterSeconds": 123
},
"requestId": "<string>"
}Messages
Add reaction
POST
/
messages
/
{messageId}
/
reactions
Add reaction
Path Parameters
Pattern:
^[0-9a-z]+$Body
application/json
Exactly one emoji.
Pattern:
^(?:\p{Regional_Indicator}{2}|[#*0-9]\uFE0F?\u20E3|\u{1F3F4}[\u{E0020}-\u{E007E}]+\u{E007F}|\p{Extended_Pictographic}\uFE0F?\p{Emoji_Modifier}?(?:\u200D\p{Extended_Pictographic}\uFE0F?\p{Emoji_Modifier}?)*)(?![\s\S])Example:
"👍"
Was this page helpful?